curl --request PATCH \
--url https://api.bridge.xyz/v0/customers/{customerID}/fiat_payout_configuration \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat_payout_configuration": {
"usd": {
"wire": "customer"
}
}
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/fiat_payout_configuration"
payload = { "fiat_payout_configuration": { "usd": { "wire": "customer" } } }
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({fiat_payout_configuration: {usd: {wire: 'customer'}}})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/fiat_payout_configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fiat_payout_configuration": {
"usd": {
"wire": "customer",
"ach": "bridge"
},
"eur": {
"sepa": "bridge"
},
"brl": {
"pix": "payment_provider"
},
"mxn": {
"spei": "payment_provider"
}
}
}Update the fiat payout configuration for a customer
Update the fiat payout configuration for the given customer ID. This configuration determines which payout method (bridge, developer, payment_provider, or customer) is used for each currency and payment rail combination.
The configuration is a nested hash structure where:
- Top-level keys are currency codes (e.g., “usd”, “eur”, “brl”, “mxn”)
- Second-level keys are payment rail codes (e.g., “wire”, “ach”, “sepa”, “pix”, “spei”)
- Values are payout names:
bridge,developer,payment_provider, orcustomer
Currently, only the following values are supported for the payout method:
- usd.wire:
developer,customer - usd.ach:
bridge - eur.sepa:
bridge - brl.pix:
payment_provider - mxn.spei:
payment_provider
Only the currency/payment rail combinations provided will be updated. Other existing configurations will remain unchanged.
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Body
Fiat payout configuration to update
Input payload for updating a customer's fiat payout configuration
A nested hash structure representing the fiat payout configuration. The top-level keys are currency codes. Each currency maps to a hash where keys are payment rail codes and values are payout names.
Show child attributes
Show child attributes
{
"usd": { "wire": "developer", "ach": "bridge" },
"eur": { "sepa": "bridge" },
"brl": { "pix": "payment_provider" },
"mxn": { "spei": "payment_provider" }
}
Response
Successful fiat payout configuration update response
A nested hash structure representing the fiat payout configuration. The top-level keys are currency codes. Each currency maps to a hash where keys are payment rail codes and values are payout names.
Show child attributes
Show child attributes
{
"usd": { "wire": "developer", "ach": "bridge" },
"eur": { "sepa": "bridge" },
"brl": { "pix": "payment_provider" },
"mxn": { "spei": "payment_provider" }
}
Was this page helpful?